.hit-modal {
    --hit-modal-top-padding: 24px;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    overflow: hidden;
    background-color: rgba(255, 255, 255, 0.5);
    padding: var(--hit-modal-top-padding) 0;
}

.hit {
    background-color: #334b3e;
    border-radius: 24px;
    height: 100%;
    width: calc(95% - 150px);
    max-width: 1560px;
    margin: 0 auto;
    position: relative;
    color: #fff;
    font-size: 24px;
}

.hit-close {
    position: absolute;
    top: var(--hit-modal-top-padding);
    right: -80px;
    cursor: pointer;
    width: 55px;
    height: 55px;
}

.hit-close>img {
    width: 100%;
    height: 100%;
    pointer-events: none;
    border-radius: 100%;
    background-color: #fff;
}

.hit-info {
    padding-right: 24px;
}

.hit-content {
    display: flex;
    flex-direction: column;
    padding: 0 84px;
    height: 100%;
    overflow-y: auto;
}

.hit-content::-webkit-scrollbar {
    width: 0;
}

.hit-content-title {
    font-size: 40px;
    font-weight: bold;
    padding-bottom: 24px;
    color: #fcd96f;
    border-bottom: 2px solid #fcd96f;
    margin-bottom: 34px;
}

.hit-info-content {
    line-height: 1.8;
    text-align: justify;
}

.hit-title {
    padding-top: 48px;
    padding-bottom: 24px;
}

.hit-footer {
    padding-bottom: 30px;
    display: flex;
    align-items: flex-end;
    justify-content: end;
    align-items: center;
}

.hit-title>img {
    height: 90px;
}

.hit-main {
    display: flex;
    align-items: center;
    gap: 16px;
    flex: 1;
}

.hit-preview {
    text-align: center;
    gap: 16px;
    flex: 1;
}

.hit-main>div:nth-child(1) {
    flex: 1;
}

.hit-main>div:nth-child(2) {
    flex: 1;
}

.hit-blocks {
    display: flex;
    gap: 24px;
    align-items: center;
    margin-top: 45px;
    margin-bottom: 35px;
}

.hit-text {
    font-size: 24px;
}

.hit-block {
    flex: 1;
}

.hit-array {
    display: flex;
    align-items: center;
    width: 30px;
}

.hit-array>img {
    width: 30px;
    transform: rotate(-90deg);
}

.text-hightline {
    color: #fcd86e;
}

.hit-block>img {
    width: 100%;
    height: auto;
    border-radius: 30px;
    pointer-events: none;
}


.hit-actions {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    gap: 50px;
}

.hit-action {
    width: 480px;
    display: flex;
    align-items: center;
    gap: 25px;
}

.hit-action>img {
    height: 110px;
    width: 185px;
    object-fit: contain;
}

.hit-action-title {
    color: #fcd96f;
}

.hit-pages {
    display: flex;
    gap: 4px;
    align-items: center;
    justify-content: center;
}

.hit-page {
    border-radius: 100%;
    aspect-ratio: 1;
    background-color: #fcd86e;
    width: 34px;
    height: 34px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #334b3e;
    font-size: 18px;
}

.hit-page-active {
    background-color: #f1b37d;
}

.hit-page-line {
    width: 24px;
    height: 2px;
    background-color: #fcd86e;
}

.hit-next {
    background-color: rgba(0, 0, 0, 0);
    border: none;
    outline: none;
    color: #fcd86e;
    display: flex;
    gap: 4px;
    font-size: 18px;
    user-select: none;
    cursor: pointer;
    align-items: center;
    margin-left: 24px;
}

.touch-only {
    display: none;
}

@media (max-width:1190px) {
    .hit {
        width: calc(100% - 48px);
    }

    .hit-close {
        top: -80px;
        right: 12px;
    }

    .hit-modal {
        --hit-modal-top-padding: 110px;
        padding-bottom: 24px;
    }

    .hit-title {
        display: none;
    }

    .hit-content {
        padding: 48px 24px;
    }

    .hit-main {
        display: block;
    }

    .hit-preview {
        display: block;
        padding: 0 48px;
    }

    .hit-info-content {
        margin-bottom: 24px;
    }

    .hit-content-title {
        margin-bottom: 12px;
    }

    .hit-content-title {
        font-weight: normal;
        font-size: 36px;
        padding-bottom: 12px;
    }

    .hit-blocks {
        flex-direction: column;
        gap: 12px;
    }

    .hit-text {
        font-size: 16px;
    }

    .hit-blocks {
        margin-top: 12px;
    }

    .hit-block {
        border-radius: 8px;
        flex: none;
        width: 100%;
    }

    .hit-array>img {
        transform: rotate(0deg);
        width: 20px;
    }

    .hit-actions {
        align-items: center;
    }

    .hit-footer {
        padding-bottom: 0;
    }

    .pc-only {
        display: none;
    }

    .touch-only {
        display: flex;
    }

    .hit-action>img {
        width: 130px;
    }

    .hit-action {
        width: 350px;
    }

    .hit-footer {
        margin-top: 24px;
    }

    .hit-info {
        padding: 0;
    }

    .hit-footer {
        justify-content: center;
    }
}

@media (max-width:480px) {
    .hit-content-title {
        font-size: 24px;
    }

    .hit-info-content {
        font-size: 14px;
    }

    .hit-content {
        padding-top: 24px;
        padding-bottom: 24px;
    }

    .hit-action>img {
        width: 40px;
        height: 50px;
    }

    .hit-actions {
        gap: 24px;
    }

    .hit-action {
        width: 170px;
        font-size: 14px;
        gap: 16px;
    }

    .hit-page {
        width: 30px;
        height: 30px;
        font-size: 16px;
    }

    .hit-page-line {
        width: 20px;
    }

    .hit-next {
        font-size: 16px;
    }

    .hit-next {
        margin-left: 12px;
    }

    .hit-content {
        padding: 24px 18px;
    }

    .hit-close {
        width: 36px;
        height: 36px;
    }

    .hit-modal {
        --hit-modal-top-padding: 55px;
    }

    .hit-close {
        top: -45px;
        right: 0;
    }

    .hit-info {
        margin-bottom: 36px;
    }

    .hit-preview {
        display: block;
        padding: 0 0;
    }
}

@media (max-width:1024px) and (orientation: landscape) {
    .hit-modal {
        --hit-modal-top-padding: 30px;
    }

    .hit-close{
        top: 30px;
        right: 30px;
    }

    .hit-content {
        padding-top: 24px;
        padding-bottom: 24px;
    }

    footer {
        display: none;
    }
}